Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 151449 - Build fails on 64bit machine if Sun Studio compiler is selected from /shared/dp/sstrunk/biweekly
Build fails on 64bit machine if Sun Studio compiler is selected from /shared/...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
All Linux
: P2 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 11:47 UTC by soldatov
Modified: 2009-02-19 20:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2008-10-27 11:47:58 UTC
Scenario:
- Add /shared/dp/sstrunk/biweekly/inst/intel-Linux.inst/opt/sun/sunstudioceres/bin into PATH
- Start Sun Studio with fresh user directory on 64-bit linux machine
- Open Options window
==> I see 2 compiler collections (SunStudio_12 is missed)
SunStudio - /shared/dp/sstrunk/biweekly/inst/intel-Linux.inst/opt/sun/sunstudioceres/bin
GNU - /usr/bin
- Create Welcome project
- Select '64-bit' architecture in project properties window
- Build project
==> build fails (build works correctly if added and selected SunStudio_12 compiler collection)

CC -xarch=generic64   -c -g -o build/Debug/SunStudio-Linux-x86/welcome.o welcome.cc
rubin --> Job output
mkdir -p build/Debug/SunStudio-Linux-x86
CC -xarch=generic64   -c -g -o build/Debug/SunStudio-Linux-x86/welcome.o welcome.cc
CC: illegal option usage -xarch=generic64
*** Error code 1
dmake: Fatal error: Command failed for target `build/Debug/SunStudio-Linux-x86/welcome.o'
Current working directory /export/home/tester/SunStudioProjects/Welcome
*** Error code 1
dmake: Fatal error: Command failed for target `.build-conf'
Current working directory /export/home/tester/SunStudioProjects/Welcome
*** Error code 1
dmake: Fatal error: Command failed for target `.build-impl'
                                                                                                                       
                   
Build failed. Exit value 1.
Comment 1 soldatov 2008-10-27 16:56:51 UTC
This problem is very bad for Sun Studio IDE (SSX1108 and later), but I don't think it is showstopper for NetBeans,
because it can be fixed in patch.
Comment 2 Thomas Preisler 2008-10-27 22:50:18 UTC
Flags have changed for SS12 and studioexpress. Architecture flags are now -m32 or -m64. Will change compiler personality for studio express to generate 
new flags.
Comment 3 Thomas Preisler 2008-10-27 22:53:55 UTC
Marked it SSIDE. Should get fix into Patch 1.
Comment 4 Thomas Preisler 2008-10-28 00:06:03 UTC
I see now what is wrong: Sun Studio compiler personality is wrong for Linux. It should generate -m32 or -m64 flags.
Comment 5 Thomas Preisler 2008-10-28 01:00:05 UTC
Fixed. Added SunStudio_Linux personality and fixed SunStudio_13 and SunStudioExprress
Comment 6 Quality Engineering 2008-10-28 05:04:14 UTC
Integrated into 'main-golden', will be available in build *200810280201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/deac2eabd425
User: Thomas Preisler <thp@netbeans.org>
Log: #151449 Build fails on 64bit machine if Sun Studio compiler is selected from /shared/dp/sstrunk/biweekly
Comment 7 soldatov 2008-11-20 15:32:38 UTC
Verified in 200811200201 build
Comment 8 pslechta 2008-11-21 14:59:59 UTC
The fix was ported into release65_repository.

http://hg.netbeans.org/release65_fixes/rev/2adbdf0b1c09
Comment 9 Alexander Pepin 2008-12-02 14:17:07 UTC
verified in SSIDE biweekly build with the patch
Comment 10 Thomas Preisler 2009-01-27 06:12:35 UTC
SS IDE is now based on NB 5.4 patch 1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo